<!--
Date formatée
-->

<template>
  <span>{{ datesFormatted }}</span>
</template>

<script setup lang="ts">
import DateUtils from "~/services/utils/dateUtils";
import {computed, ComputedRef} from "@vue/reactivity";

const props = defineProps({
  data: {
    type: [String, Array],
    required: false,
    default: null
  }
})

const datesFormatted: ComputedRef<string> = computed(() => {
  return DateUtils.format(props.data, 'DD/MM/YYYY')
})
</script>
